// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.SourceEditor.OptionPanels {
    
    
    public partial class BehaviorPanel {
        
        private Gtk.VBox vbox1;
        
        private Gtk.Label GtkLabel5;
        
        private Gtk.Alignment alignment3;
        
        private Gtk.VBox vbox4;
        
        private Gtk.CheckButton autoInsertBraceCheckbutton;
        
        private Gtk.Label GtkLabel6;
        
        private Gtk.Alignment GtkAlignment;
        
        private Gtk.VBox vbox2;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox indentationCombobox;
        
        private Gtk.CheckButton tabAsReindentCheckbutton;
        
        private Gtk.Label GtkLabel8;
        
        private Gtk.Alignment alignment4;
        
        private Gtk.VBox vbox5;
        
        private Gtk.CheckButton useViModesCheck;
        
        private Gtk.HBox hbox3;
        
        private Gtk.Label label2;
        
        private Gtk.ComboBox controlLeftRightCombobox;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel";
            // Container child MonoDevelop.SourceEditor.OptionPanels.BehaviorPanel.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.GtkLabel5 = new Gtk.Label();
            this.GtkLabel5.Name = "GtkLabel5";
            this.GtkLabel5.Xalign = 0F;
            this.GtkLabel5.LabelProp = Mono.Unix.Catalog.GetString("<b>Automatic behaviors</b>");
            this.GtkLabel5.UseMarkup = true;
            this.vbox1.Add(this.GtkLabel5);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox1[this.GtkLabel5]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment3 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment3.Name = "alignment3";
            this.alignment3.LeftPadding = ((uint)(12));
            // Container child alignment3.Gtk.Container+ContainerChild
            this.vbox4 = new Gtk.VBox();
            this.vbox4.Name = "vbox4";
            this.vbox4.Spacing = 6;
            // Container child vbox4.Gtk.Box+BoxChild
            this.autoInsertBraceCheckbutton = new Gtk.CheckButton();
            this.autoInsertBraceCheckbutton.CanFocus = true;
            this.autoInsertBraceCheckbutton.Name = "autoInsertBraceCheckbutton";
            this.autoInsertBraceCheckbutton.Label = Mono.Unix.Catalog.GetString("_Insert matching brace");
            this.autoInsertBraceCheckbutton.DrawIndicator = true;
            this.autoInsertBraceCheckbutton.UseUnderline = true;
            this.vbox4.Add(this.autoInsertBraceCheckbutton);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox4[this.autoInsertBraceCheckbutton]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            this.alignment3.Add(this.vbox4);
            this.vbox1.Add(this.alignment3);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment3]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.GtkLabel6 = new Gtk.Label();
            this.GtkLabel6.Name = "GtkLabel6";
            this.GtkLabel6.Xalign = 0F;
            this.GtkLabel6.LabelProp = Mono.Unix.Catalog.GetString("<b>Indentation</b>");
            this.GtkLabel6.UseMarkup = true;
            this.vbox1.Add(this.GtkLabel6);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.vbox1[this.GtkLabel6]));
            w5.Position = 2;
            w5.Expand = false;
            w5.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.GtkAlignment = new Gtk.Alignment(0F, 0F, 1F, 1F);
            this.GtkAlignment.Name = "GtkAlignment";
            this.GtkAlignment.LeftPadding = ((uint)(12));
            // Container child GtkAlignment.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("_Indentation mode:");
            this.label1.UseUnderline = true;
            this.hbox1.Add(this.label1);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.label1]));
            w6.Position = 0;
            w6.Expand = false;
            w6.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.indentationCombobox = Gtk.ComboBox.NewText();
            this.indentationCombobox.Name = "indentationCombobox";
            this.hbox1.Add(this.indentationCombobox);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.hbox1[this.indentationCombobox]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            this.vbox2.Add(this.hbox1);
            Gtk.Box.BoxChild w8 = ((Gtk.Box.BoxChild)(this.vbox2[this.hbox1]));
            w8.Position = 0;
            w8.Expand = false;
            w8.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.tabAsReindentCheckbutton = new Gtk.CheckButton();
            this.tabAsReindentCheckbutton.CanFocus = true;
            this.tabAsReindentCheckbutton.Name = "tabAsReindentCheckbutton";
            this.tabAsReindentCheckbutton.Label = Mono.Unix.Catalog.GetString("Interpret tab _keystroke as reindent command");
            this.tabAsReindentCheckbutton.DrawIndicator = true;
            this.tabAsReindentCheckbutton.UseUnderline = true;
            this.vbox2.Add(this.tabAsReindentCheckbutton);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.vbox2[this.tabAsReindentCheckbutton]));
            w9.Position = 1;
            w9.Expand = false;
            w9.Fill = false;
            this.GtkAlignment.Add(this.vbox2);
            this.vbox1.Add(this.GtkAlignment);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vbox1[this.GtkAlignment]));
            w11.Position = 3;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.GtkLabel8 = new Gtk.Label();
            this.GtkLabel8.Name = "GtkLabel8";
            this.GtkLabel8.Xalign = 0F;
            this.GtkLabel8.LabelProp = Mono.Unix.Catalog.GetString("<b>Navigation</b>");
            this.GtkLabel8.UseMarkup = true;
            this.vbox1.Add(this.GtkLabel8);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox1[this.GtkLabel8]));
            w12.Position = 4;
            w12.Expand = false;
            w12.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.alignment4 = new Gtk.Alignment(0.5F, 0.5F, 1F, 1F);
            this.alignment4.Name = "alignment4";
            this.alignment4.LeftPadding = ((uint)(12));
            // Container child alignment4.Gtk.Container+ContainerChild
            this.vbox5 = new Gtk.VBox();
            this.vbox5.Name = "vbox5";
            this.vbox5.Spacing = 6;
            // Container child vbox5.Gtk.Box+BoxChild
            this.useViModesCheck = new Gtk.CheckButton();
            this.useViModesCheck.CanFocus = true;
            this.useViModesCheck.Name = "useViModesCheck";
            this.useViModesCheck.Label = Mono.Unix.Catalog.GetString("Use _Vi modes");
            this.useViModesCheck.DrawIndicator = true;
            this.useViModesCheck.UseUnderline = true;
            this.vbox5.Add(this.useViModesCheck);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.vbox5[this.useViModesCheck]));
            w13.Position = 0;
            w13.Expand = false;
            w13.Fill = false;
            // Container child vbox5.Gtk.Box+BoxChild
            this.hbox3 = new Gtk.HBox();
            this.hbox3.Name = "hbox3";
            this.hbox3.Spacing = 6;
            // Container child hbox3.Gtk.Box+BoxChild
            this.label2 = new Gtk.Label();
            this.label2.Name = "label2";
            this.label2.LabelProp = Mono.Unix.Catalog.GetString("Word _break mode:");
            this.label2.UseUnderline = true;
            this.hbox3.Add(this.label2);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox3[this.label2]));
            w14.Position = 0;
            w14.Expand = false;
            w14.Fill = false;
            // Container child hbox3.Gtk.Box+BoxChild
            this.controlLeftRightCombobox = Gtk.ComboBox.NewText();
            this.controlLeftRightCombobox.Name = "controlLeftRightCombobox";
            this.hbox3.Add(this.controlLeftRightCombobox);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.hbox3[this.controlLeftRightCombobox]));
            w15.Position = 1;
            w15.Expand = false;
            w15.Fill = false;
            this.vbox5.Add(this.hbox3);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.vbox5[this.hbox3]));
            w16.Position = 1;
            w16.Expand = false;
            w16.Fill = false;
            this.alignment4.Add(this.vbox5);
            this.vbox1.Add(this.alignment4);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.vbox1[this.alignment4]));
            w18.Position = 5;
            w18.Expand = false;
            w18.Fill = false;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
